Subject: Re:draft-maeda-faxwg-terminal-mode-protocol-00.txt

From: MAEDA toru <[email-masked]>
Date: Mon, 05 Mar 2001 20:30:54 +0900

Toyoda-san

Thank you very much for the proposal to add or change the terminal mode draft.
I will update goals and protocol IDs for Terminal Mode.

Regards.

Toru Maeda

At 15:28 01/02/22 +0900, Toyoda, Kiyoshi wrote:
>Meda-san,
>
>I comment "draf-maeda-faxwg-terminal-mode-protocol-00.txt"
>and "goals.txt".
>It dosn't mention E2E communication which is discussed in this
>mailing list. I think terminal mode solve current problems of
>IFAX by using E2E communication. So, I propose the items below
>regarding E2E communication to add or change the terminal mode
>draft. I expect terminal mode as next step of FFPIM to solve
>current IFAX problems rather than realizing all features of Group
>3 facsimile.
>
>
>------------------------------------------------------------------------
>1 Requirement
>To solve the following problems which current IFAX can not realize.
>1)Real time confirmation of delivery
>2)Capability exchange before data communication
>
>2 Proposal
>Add Direct ESMTP communication between terminals as extension to FFPIM
>or EIFAX.
>2.1 Transport
>　　ESMTP
>
>2.2 Confirmation
>　2.2.1 Delivery confirmation
>　　　Real Time confirmation is realized by communicating with directly
>　　　ESMTP between IFAX terminals.
>　2.2.2 Processing Confirmation
>　　　MDN response is submitted by separate session after communication.
>
>2.3 Capability Exchange
>　2.3.1 Protocol
>　　　There are several methods to be selected and discussed.
>　　　- Define new command of EIFAX such as REQCAP
>　　　- Define local command of EIFAX such as XREQCAP
>　　　- Use ETRN command
>           The detail is to be studied.
>
>  2.3.2 Format
>       RFC2531
>
>2.4 Interworking with EIFAX or Simple Mode IFAX machine
>Terminal mode IFAX communicate with EIFAX or Simple Mode IFAX
>machine in direct SMTP connection except capability exchange
>because EIFAX or Simple Mode IFAX can speak SMTP. If network
>environment doesn't allow to direct ESMTP communication,
>terminal mode machine fall down its capability to FFPIM as
>store and forward mode.
>
>3 Goal
>-Easy to Implement
>-Interworking with IFAX simple mode and EIFAX
>-Timely delivery
>-Real time delivery confirmation
>-Capability exchange
>-Use of existing infrastructure
>
>Best regards,
>
>Kiyoshi Toyoda

-----------------------------------
キヤノン株式会社
映像事務機MIE推進センター
映像事務機MIE第２開発部
前田　徹
146-8501　東京都大田区下丸子３−３０−２
電話　03-3757-9738、FAX　03-3757-8205
-----------------------------------